version: '3'

services:
  db:
    image: mariadb:10.11
    container_name: seafile-mysql
    environment:
      - MYSQL_ROOT_PASSWORD=superpassword
      - MYSQL_LOG_CONSOLE=true
    volumes:
      - ./data/db:/var/lib/mysql
    restart: unless-stopped
    networks:
      - seafile-net
    logging:
      options:
        max-size: "10m"
        max-file: "3"

  memcached:
    image: memcached:latest
    container_name: seafile-memcached
    entrypoint: memcached -m 256
    restart: unless-stopped
    networks:
      - seafile-net
    logging:
      options:
        max-size: "10m"
        max-file: "3"

  seafile:
    image: seafileltd/seafile-mc:latest
    container_name: seafile
    ports:
      - "8880:80"
      - "8082:8082"
      - "8080:8080"
    volumes:
      - ./data/seafile:/seafile
    environment:
      - DB_HOST=db
      - DB_ROOT_PASSWD=superpassword
      - TIME_ZONE=America/New_York
      - SEAFILE_ADMIN_EMAIL={{ user.email }}
      - SEAFILE_ADMIN_PASSWORD=adminpassword
      - SEAFILE_SERVER_LETSENCRYPT=false
      - SEAFILE_SERVER_HOSTNAME={{ seafile.server }}
    depends_on:
      - db
      - memcached
    restart: unless-stopped
    networks:
      - seafile-net

networks:
  seafile-net:
